#!/bin/bash

echo "Cleaning:"
make clean
echo

echo "Compiling:"
make
echo

IFS=$'\t\n'
for I in `ls *.mp3`; do
    echo "Converting file: $I"
    ffmpeg -v -10 -y -i "$I" -ar 11025 -ac 1 input.wav 2>/dev/null
    echo

    echo "Running:"
    ./sample_find -i input.wav -s sample.wav
    echo
done
IFS=$' \t\n'
